hadoop-common-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Akira Ajisaka <aajis...@apache.org>
Subject Re: Maven inconsistently overriding Zookeeper version
Date Mon, 24 Jul 2017 07:58:01 GMT
Filed YARN-6859 and attached the patch there.

-Akira

On 2017/07/19 14:06, Akira Ajisaka wrote:
> Hi Sean,
>
> Probably test scope is missing in the zookeeper dependency of hadoop-yarn-server-resource-manager
test-jar.
> Attaching a patch to fix this.
>
> Here is a log after applying the patch:
> https://gist.github.com/aajisaka/057cb3d6d26c05a541f5b5de06f70ded
>
> Regards,
> Akira
>
> On 2017/07/19 2:26, Sean Mackrory wrote:
>> There's some Maven magic going on here that I don't understand:
>> https://gist.github.com/mackrorysd/61c689f04c3595bcda9c256ec6b2da75
>>
>> On line 2 of the gist, you can see me checking which ZooKeeper artifacts
>> get picked up when running dependency:tree with the ZooKeeper version
>> overridden with -Dzookeeper.version. It's all 3.5.3-beta, the version I'm
>> trying to override it to.
>>
>> On line 84 of the gist, you can see me doing a clean build of Hadoop with
>> the same ZooKeeper version, but at the end it appears that
>> hadoop-yarn-server-resourcemanager is sometimes depending on 3.4.9 (the
>> version originally in the POM) and other times 3.5.3-beta.
>>
>> I can't seem to work around that, or even explain it. Anybody have ideas?
>>
>
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: common-dev-unsubscribe@hadoop.apache.org
> For additional commands, e-mail: common-dev-help@hadoop.apache.org
>

---------------------------------------------------------------------
To unsubscribe, e-mail: common-dev-unsubscribe@hadoop.apache.org
For additional commands, e-mail: common-dev-help@hadoop.apache.org


Mime
View raw message